import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { S as SearchTeamOptions, a as SearchTeamResponse, G as GetRolesInfoOptions, b as GetRolesInfoResponse, U as UpdateTeamMemberAssignmentsOptions, c as UpdateTeamMemberAssignmentsResponse } from './identity-roles-v1-user-users.universal-CDQCBpHX.mjs';
export { ag as AccountInfo, B as AccountInvite, W as AccountResourceContext, s as ApiCondition, aK as ApiInviteAssignment, ah as ApiPolicy, q as ApiResource, aM as AreasFilter, n as AssignedPolicy, aW as AssignedSubject, A as Assignment, aV as AssignmentV3, al as ChangeRoleRequest, am as ChangeRoleResponse, bf as ChangeRoleV2Options, b9 as ChangeRoleV2Request, ba as ChangeRoleV2Response, u as CompanionResource, a7 as Condition, C as ConditionAttributeType, a8 as ConditionOperator, a9 as ConditionOperatorOperatorsOneOf, _ as ConditionType, $ as ConditionTypeOfOneOf, ab as ConditionValue, ac as ConditionValueValueOneOf, r as Conditions, aD as Contributor, b5 as CreateCustomRoleRequest, b8 as CreateCustomRoleResponse, b1 as CustomRole, af as DependOnOperator, D as Direction, E as EditorType, l as Effect, a4 as EnvironmentCondition, a5 as EnvironmentConditionConditionOneOf, aa as EqualOperator, a6 as ExperimentCondition, ae as ExperimentOperator, aQ as Facet, F as FacetType, aR as FacetValue, ay as FolderResource, M as FullNameResource, Q as FullNameResourceResourceContextOneOf, av as GetPeopleRequest, az as GetPeopleResponse, aL as GetPoliciesRequest, aN as GetPoliciesResponse, b2 as GetRolesInfoRequest, aZ as GetRolesRequest, a_ as GetRolesResponse, ar as GetScopesRequest, as as GetScopesResponse, bc as GetSubjectsAssignmentsRequest, bd as GetSubjectsAssignmentsResponse, aH as GetTeamInvitesRequest, aI as GetTeamInvitesResponse, x as GetTeamRequest, z as GetTeamResponse, aG as GetTeamV2Response, ap as GetUsersRequest, aq as GetUsersResponse, aJ as Invite, K as InviteAssignment, aY as InviteAssignmentV3, H as InviteResourceAssignment, I as InviteStatus, aX as InviteV3, a3 as JoinedCondition, J as JoinedConditionOperator, ad as LikeOperator, L as LocationsRestriction, N as Name, O as OrderField, aP as Ordering, X as OrganizationResourceContext, y as Paging, aA as People, aw as PeopleResource, ax as PeopleResourceResourceTypeOneOf, P as PeopleType, au as PermissionScope, aB as Person, aE as PersonMetaData, aC as PersonPersonOneOf, b6 as Policy, Z as PolicyCondition, b7 as PolicyStatement, k as PolicyType, aj as PredefinedRole, b0 as PredefinedRoleV2, ai as PredefinedRoles, a$ as PredefinedRolesArea, an as RemoveMemberRequest, ao as RemoveMemberResponse, Y as Resource, R as ResourceType, o as Restriction, p as RestrictionRestrictionsOneOf, ak as Role, b4 as RoleInfo, h as RoleLevel, i as RoleLevelRestriction, j as RoleVisibility, b3 as RolesInfoFilter, at as ScopeArea, g as ScopeLevel, aO as SearchTeamRequest, a0 as SimpleCondition, f as SimpleConditionOperator, a1 as SimpleConditionValue, a2 as SimpleConditionValueValueOneOf, T as SiteResourceContext, t as SiteRestriction, v as Subject, be as SubjectAssignments, w as SubjectContext, e as SubjectContextType, d as SubjectType, aF as TeamMember, aS as TeamMemberV3, aT as TeamMemberV3MembersOneOf, bb as UpdateTeamMemberAssignmentsRequest, m as User, aU as UserV3, V as Visibility } from './identity-roles-v1-user-users.universal-CDQCBpHX.mjs';

declare function removeMember$1(httpClient: HttpClient): RemoveMemberSignature;
interface RemoveMemberSignature {
    /**
     * Removes a team member from the requesting account.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - User ID of the team member to remove.
     */
    (userId: string): Promise<void>;
}
declare function searchTeam$1(httpClient: HttpClient): SearchTeamSignature;
interface SearchTeamSignature {
    /**
     * Retrieves all team members of the requesting account, based on the provided filters and free text queries.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - Filter options.
     */
    (options?: SearchTeamOptions | undefined): Promise<SearchTeamResponse>;
}
declare function getRolesInfo$1(httpClient: HttpClient): GetRolesInfoSignature;
interface GetRolesInfoSignature {
    /**
     * Retrieves all available roles in the requesting account, including predefined and custom roles.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - Filter options.
     */
    (options?: GetRolesInfoOptions | undefined): Promise<GetRolesInfoResponse>;
}
declare function updateTeamMemberAssignments$1(httpClient: HttpClient): UpdateTeamMemberAssignmentsSignature;
interface UpdateTeamMemberAssignmentsSignature {
    /**
     * Updates the assignments of roles and conditions for an existing team member.  Changing assignments changes the team member’s access to account assets.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - ID of team member being affected.
     * @param - Filter options. The `assignmentIdsToRemove` and `newAssignments` fields **must** be passed.
     */
    (userId: string, options: UpdateTeamMemberAssignmentsOptions): Promise<UpdateTeamMemberAssignmentsResponse>;
}

declare const removeMember: MaybeContext<BuildRESTFunction<typeof removeMember$1> & typeof removeMember$1>;
declare const searchTeam: MaybeContext<BuildRESTFunction<typeof searchTeam$1> & typeof searchTeam$1>;
declare const getRolesInfo: MaybeContext<BuildRESTFunction<typeof getRolesInfo$1> & typeof getRolesInfo$1>;
declare const updateTeamMemberAssignments: MaybeContext<BuildRESTFunction<typeof updateTeamMemberAssignments$1> & typeof updateTeamMemberAssignments$1>;

export { GetRolesInfoOptions, GetRolesInfoResponse, SearchTeamOptions, SearchTeamResponse, UpdateTeamMemberAssignmentsOptions, UpdateTeamMemberAssignmentsResponse, getRolesInfo, removeMember, searchTeam, updateTeamMemberAssignments };
