import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { S as SearchTeamOptions, a as SearchTeamResponse, G as GetRolesInfoOptions, b as GetRolesInfoResponse, C as ChangeRoleV2Options, c as ChangeRoleV2Response, U as UpdateTeamMemberAssignmentsOptions, d as UpdateTeamMemberAssignmentsResponse } from './identity-roles-v1-user-users.universal-CnEmCMhq.mjs';
export { ai as AccountInfo, K as AccountInvite, Y as AccountResourceContext, u as ApiCondition, aM as ApiInviteAssignment, aj as ApiPolicy, s as ApiResource, aO as AreasFilter, p as AssignedPolicy, aY as AssignedSubject, A as Assignment, aX as AssignmentV3, an as ChangeRoleRequest, ao as ChangeRoleResponse, bb as ChangeRoleV2Request, w as CompanionResource, a9 as Condition, e as ConditionAttributeType, aa as ConditionOperator, ab as ConditionOperatorOperatorsOneOf, a0 as ConditionType, a1 as ConditionTypeOfOneOf, ad as ConditionValue, ae as ConditionValueValueOneOf, t as Conditions, aF as Contributor, b7 as CreateCustomRoleRequest, ba as CreateCustomRoleResponse, b3 as CustomRole, ah as DependOnOperator, D as Direction, E as EditorType, n as Effect, a6 as EnvironmentCondition, a7 as EnvironmentConditionConditionOneOf, ac as EqualOperator, a8 as ExperimentCondition, ag as ExperimentOperator, aS as Facet, F as FacetType, aT as FacetValue, aA as FolderResource, T as FullNameResource, W as FullNameResourceResourceContextOneOf, ax as GetPeopleRequest, aB as GetPeopleResponse, aN as GetPoliciesRequest, aP as GetPoliciesResponse, b4 as GetRolesInfoRequest, a$ as GetRolesRequest, b0 as GetRolesResponse, at as GetScopesRequest, au as GetScopesResponse, bd as GetSubjectsAssignmentsRequest, be as GetSubjectsAssignmentsResponse, aJ as GetTeamInvitesRequest, aK as GetTeamInvitesResponse, z as GetTeamRequest, H as GetTeamResponse, aI as GetTeamV2Response, ar as GetUsersRequest, as as GetUsersResponse, aL as Invite, Q as InviteAssignment, a_ as InviteAssignmentV3, M as InviteResourceAssignment, I as InviteStatus, aZ as InviteV3, a5 as JoinedCondition, J as JoinedConditionOperator, af as LikeOperator, L as LocationsRestriction, N as Name, O as OrderField, aR as Ordering, Z as OrganizationResourceContext, B as Paging, aC as People, ay as PeopleResource, az as PeopleResourceResourceTypeOneOf, P as PeopleType, aw as PermissionScope, aD as Person, aG as PersonMetaData, aE as PersonPersonOneOf, b8 as Policy, $ as PolicyCondition, b9 as PolicyStatement, m as PolicyType, al as PredefinedRole, b2 as PredefinedRoleV2, ak as PredefinedRoles, b1 as PredefinedRolesArea, ap as RemoveMemberRequest, aq as RemoveMemberResponse, _ as Resource, R as ResourceType, q as Restriction, r as RestrictionRestrictionsOneOf, am as Role, b6 as RoleInfo, j as RoleLevel, k as RoleLevelRestriction, l as RoleVisibility, b5 as RolesInfoFilter, av as ScopeArea, i as ScopeLevel, aQ as SearchTeamRequest, a2 as SimpleCondition, h as SimpleConditionOperator, a3 as SimpleConditionValue, a4 as SimpleConditionValueValueOneOf, X as SiteResourceContext, v as SiteRestriction, x as Subject, bf as SubjectAssignments, y as SubjectContext, g as SubjectContextType, f as SubjectType, aH as TeamMember, aU as TeamMemberV3, aV as TeamMemberV3MembersOneOf, bc as UpdateTeamMemberAssignmentsRequest, o as User, aW as UserV3, V as Visibility } from './identity-roles-v1-user-users.universal-CnEmCMhq.mjs';

declare function removeMember$1(httpClient: HttpClient): RemoveMemberSignature;
interface RemoveMemberSignature {
    /**
     * Removes a team member from the requesting account.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - User ID of the team member to remove.
     */
    (userId: string): Promise<void>;
}
declare function searchTeam$1(httpClient: HttpClient): SearchTeamSignature;
interface SearchTeamSignature {
    /**
     * Retrieves all team members of the requesting account, based on the provided filters and free text queries.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - Filter options.
     */
    (options?: SearchTeamOptions | undefined): Promise<SearchTeamResponse>;
}
declare function getRolesInfo$1(httpClient: HttpClient): GetRolesInfoSignature;
interface GetRolesInfoSignature {
    /**
     * Retrieves all available roles in the requesting account, including predefined and custom roles.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - Filter options.
     */
    (options?: GetRolesInfoOptions | undefined): Promise<GetRolesInfoResponse>;
}
/** @internal */
declare function changeRoleV2$1(httpClient: HttpClient): ChangeRoleV2Signature;
interface ChangeRoleV2Signature {
    /**
     * Updates the roles and conditions for an existing team member. Changing roles changes the team member's access to account assets.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - ID of team member being affected.
     */
    (userId: string, options: ChangeRoleV2Options): Promise<ChangeRoleV2Response>;
}
declare function updateTeamMemberAssignments$1(httpClient: HttpClient): UpdateTeamMemberAssignmentsSignature;
interface UpdateTeamMemberAssignmentsSignature {
    /**
     * Updates the assignments of roles and conditions for an existing team member.  Changing assignments changes the team member’s access to account assets.
     * > **Important**: This call requires an account level API key and cannot be authenticated with the standard authorization header. API keys are currently available to selected beta users only.
     * @param - ID of team member being affected.
     * @param - Filter options. The `assignmentIdsToRemove` and `newAssignments` fields **must** be passed.
     */
    (userId: string, options: UpdateTeamMemberAssignmentsOptions): Promise<UpdateTeamMemberAssignmentsResponse>;
}

declare const removeMember: MaybeContext<BuildRESTFunction<typeof removeMember$1> & typeof removeMember$1>;
declare const searchTeam: MaybeContext<BuildRESTFunction<typeof searchTeam$1> & typeof searchTeam$1>;
declare const getRolesInfo: MaybeContext<BuildRESTFunction<typeof getRolesInfo$1> & typeof getRolesInfo$1>;
/** @internal */
declare const changeRoleV2: MaybeContext<BuildRESTFunction<typeof changeRoleV2$1> & typeof changeRoleV2$1>;
declare const updateTeamMemberAssignments: MaybeContext<BuildRESTFunction<typeof updateTeamMemberAssignments$1> & typeof updateTeamMemberAssignments$1>;

export { ChangeRoleV2Options, ChangeRoleV2Response, GetRolesInfoOptions, GetRolesInfoResponse, SearchTeamOptions, SearchTeamResponse, UpdateTeamMemberAssignmentsOptions, UpdateTeamMemberAssignmentsResponse, changeRoleV2, getRolesInfo, removeMember, searchTeam, updateTeamMemberAssignments };
